Query Proposed Segmentation Group Ip Addresses

Query Proposed Segmentation Group Ip Addresses
Query group IP addresses

Retrieves a paginated list of unresolved IP addresses associated with a specific group within a segmentation object.

Notes

  • IP addresses are tied to individual groups, not to the segmentation object as a whole.
  • Only unresolved IP addresses, i.e. that could not be matched to NSX entities, are returned by this API.
  • These IPs will be added as static members to the NSX group during publication.
Request
URI
POST
https://{api_host}/ssp/segmentation/{session-id}/results/proposed-segmentation-objects/{proposed-segmentation-object-id}/groups/{group-id}/ip-addresses
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session.

string
proposed-segmentation-object-id
Required  

Unique identifier of the proposed segmentation object.

string
group-id
Required  

Unique identifier of the proposed group within the segmentation object.


Request Body

Query parameters for filtering, sorting, and pagination

IpAddressesRequest of type(s) application/json
Required  
This request body class requires all of the following: ListRequestParameters , InlineIpAddressesRequest1
{
    "site_ids": [
        "123a456b-123c-456d-89ab-cdef12345678"
    ],
    "offset": 0,
    "page_size": 1000,
    "sort_ascending": false,
    "sort_by": "ipAddress"
}
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved IP addresses

Returns IpAddressesListResult of type(s) application/json
This response body class contains all of the following: ListResult , InlineIpAddressesListResult1
{
    "offset": 0,
    "number_of_results": 9,
    "total_result_count": 9,
    "total_pages": 1,
    "sort_ascending": false,
    "sort_by": "ipAddress",
    "results": [
        {
            "ip_address": "10.0.0.9"
        },
        {
            "ip_address": "10.0.0.8"
        },
        {
            "ip_address": "10.0.0.7"
        },
        {
            "ip_address": "10.0.0.6"
        },
        {
            "ip_address": "10.0.0.5"
        },
        {
            "ip_address": "10.0.0.4"
        },
        {
            "ip_address": "10.0.0.3"
        },
        {
            "ip_address": "10.0.0.2"
        },
        {
            "ip_address": "10.0.0.1"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-segmentation-objects/{proposed-segmentation-object-id}/groups/{group-id}/ip-addresses